# TODO: ntbtls instead of gnutls (when released)?
#
# Conditional build:
%bcond_without	tests	# testsuite on build
%bcond_with	selinux	# "SELinux hacks"
#
Summary:	GNU Privacy Guard - tool for secure communication and data storage - enhanced version
Summary(pl.UTF-8):	GnuPG - narzędzie do bezpiecznej komunikacji i bezpiecznego przechowywania danych - wersja rozszerzona
Name:		gnupg2
# 2.1.x is development version unfortunately (see gpg2 --version)
Version:	2.1.6
Release:	0.1
License:	GPL v3+
Group:		Applications/File
Source0:	ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
# Source0-md5:	cc7345b1d9ada92a0d19f4ae406741b4
Source1:	gnupg-agent.sh
Patch0:		%{name}-info.patch

Patch2:		%{name}-disable_tests.patch
Patch3:		%{name}-pl.po-update.patch
URL:		http://www.gnupg.org/
BuildRequires:	adns-devel
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.14
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel >= 7.10
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	gnutls-devel >= 3.0
BuildRequires:	libassuan-devel >= 1:2.2.0
BuildRequires:	libgcrypt-devel >= 1.6.0
BuildRequires:	libgpg-error-devel >= 1.16
BuildRequires:	libksba-devel >= 1.2.0
BuildRequires:	libusb-compat-devel >= 0.1
BuildRequires:	npth-devel >= 1.1
# only for dirmngr, which is not built here
#BuildRequires:	openldap-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.177
BuildRequires:	texinfo
BuildRequires:	zlib-devel
Requires:	gnupg2-common = %{version}-%{release}
Suggests:	gnupg-agent
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/gnupg2

%description
GnuPG is GNU's tool for secure communication and data storage. It can
be used to encrypt data and to create digital signatures. It includes
an advanced key management facility and is compliant with the proposed
OpenPGP Internet standard as described in RFC2440.

This is enhanced version.

%description -l pl.UTF-8
GnuPG (GNU Privacy Guard) jest narzędziem do bezpiecznej komunikacji i
bezpiecznego przechowywania danych. Może być używany do szyfrowania
oraz podpisywania danych. Umożliwia zaawansowane zarządzanie kluczami
i spełnia normy zdefiniowane w standardzie OpenPGP, który jest opisany
w RFC2440.

To jest wersja rozszerzona.

%package common
Summary:	GnuPG - common files
Summary(pl.UTF-8):	GnuPG - pliki wspólne
Group:		Applications/File
Requires:	libassuan >= 1:2.2.0
Requires:	libgcrypt >= 1.6.0
Requires:	libgpg-error >= 1.16
Requires:	libksba >= 1.2.0
Requires:	npth >= 1.1
Obsoletes:	gnupg2-plugin-keys_curl
Obsoletes:	gnupg2-plugin-keys_finger
Obsoletes:	gnupg2-plugin-keys_hkp
Obsoletes:	gnupg2-plugin-keys_kdns
Obsoletes:	gnupg2-plugin-keys_ldap
Conflicts:	gnupg < 1.4.18-2
Conflicts:	gnupg-agent < 1.9.14-2

%description common
Common files used by tools from GnuPG project.

%description common -l pl.UTF-8
Pliki wspólne używane przez różne narzędzia z projektu GnuPG.

%package -n gnupg-agent
Summary:	GnuPG extension - agent
Summary(pl.UTF-8):	Rozszerzenie GnuPG - agent
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}
Requires:	pinentry >= 0.7.5-2
Obsoletes:	newpg

%description -n gnupg-agent
GnuPG extension - agent.

%description -n gnupg-agent -l pl.UTF-8
Rozszerzenie GnuPG - agent.

%package -n gnupg-agent-profile_d
Summary:	gnupg-agent start script for text mode
Summary(pl.UTF-8):	Skrypt startowy gnupg-agenta dla trybu tekstowego
Group:		Applications/File
Requires:	gnupg-agent = %{version}-%{release}

%description -n gnupg-agent-profile_d
gnupg-agent start script for text mode.

%description -n gnupg-agent-profile_d -l pl.UTF-8
Skrypt startowy gnupg-agenta dla trybu tekstowego.

%package -n gnupg-agent-xinitrc
Summary:	gnupg-agent start script for X-Window mode
Summary(pl.UTF-8):	Skrypt startowy gnupg-agenta dla trybu X-Window
Group:		Applications/File
Requires:	gnupg-agent = %{version}-%{release}
Requires:	xinitrc

%description -n gnupg-agent-xinitrc
gnupg-agent start script for X-Window mode.

%description -n gnupg-agent-xinitrc -l pl.UTF-8
Skrypt startowy gnupg-agenta dla trybu X-Window.

%package -n gnupg-smime
Summary:	GnuPG extension - S/MIME support
Summary(pl.UTF-8):	Rozszerzenie GnuPG - obsługa S/MIME
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}
Conflicts:	gnupg-agent < 1.9.14-2

%description -n gnupg-smime
GnuPG extension - S/MIME support.

%description -n gnupg-smime -l pl.UTF-8
Rozszerzenie GnuPG - obsługa S/MIME.

%prep
%setup -q -n gnupg-%{version}
%patch0 -p1

%{!?with_tests:%patch2 -p1}
#%patch3 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-dirmngr \
	--enable-gpg \
	%{?with_selinux:--enable-selinux-support} \
	--enable-symcryptrun \
	--with-capabilities \
	--with-pinentry-pgm=%{_bindir}/pinentry \
	--with-mailprog=/usr/lib/sendmail

# required for info rebuild
%{__make} -C doc defs.inc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkglibdir=%{_libexecdir}

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/gnupg-agent.sh
install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/gnupg-agent.sh

# non-existing program
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/gpg-zip.1
# see dirmngr package
%{__rm} $RPM_BUILD_ROOT%{_mandir}/{man1/dirmngr-client.1,man8/dirmngr.8}

%{__rm} -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%find_lang gnupg2

%clean
rm -rf $RPM_BUILD_ROOT

%post	common -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	common -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%triggerpostun -n gnupg-agent -- gnupg-agent < 1.9.16-2
%banner gnupg-agent-1.9.16-2 << EOF
Scripts for starting gnupg-agent have been moved to separate
subpackages: gnupg-agent-profile_d and gnupg-agent-xinitrc.
EOF

%files
%defattr(644,root,root,755)
%doc g10/options.skel
%attr(755,root,root) %{_bindir}/gpg2
%attr(755,root,root) %{_bindir}/gpgv2
%{_mandir}/man1/gpg2.1*
%{_mandir}/man1/gpgv2.1*

%files common -f gnupg2.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog ChangeLog-2011 NEWS README THANKS TODO doc/{DETAILS,FAQ,KEYSERVER,OpenPGP}
%attr(755,root,root) %{_bindir}/g13
%attr(755,root,root) %{_bindir}/gpg-connect-agent
%attr(755,root,root) %{_bindir}/gpgconf
%attr(755,root,root) %{_bindir}/gpgkey2ssh
%attr(755,root,root) %{_bindir}/gpgparsemail
%attr(755,root,root) %{_bindir}/gpgtar
%attr(755,root,root) %{_bindir}/kbxutil
%attr(755,root,root) %{_bindir}/watchgnupg
%attr(755,root,root) %{_sbindir}/addgnupghome
%attr(755,root,root) %{_sbindir}/applygnupgdefaults
%dir %{_libexecdir}

%{_datadir}/gnupg
%{_mandir}/man1/gpg-connect-agent.1*
%{_mandir}/man1/gpgconf.1*
%{_mandir}/man1/gpgparsemail.1*
%{_mandir}/man1/watchgnupg.1*
%{_mandir}/man7/gnupg.7*
%{_mandir}/man8/addgnupghome.8*
%{_mandir}/man8/applygnupgdefaults.8*
%{_infodir}/gnupg.info*

%files -n gnupg-smime
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpgsm
%attr(755,root,root) %{_bindir}/gpgsm-gencert.sh
%{_mandir}/man1/gpgsm.1*
%{_mandir}/man1/gpgsm-gencert.sh.1*

%files -n gnupg-agent
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpg-agent
%attr(755,root,root) %{_bindir}/symcryptrun
%attr(755,root,root) %{_libexecdir}/gpg-check-pattern
%attr(755,root,root) %{_libexecdir}/gpg-protect-tool
%attr(755,root,root) %{_libexecdir}/gpg-preset-passphrase
%attr(755,root,root) %{_libexecdir}/scdaemon
%{_mandir}/man1/gpg-agent.1*
%{_mandir}/man1/gpg-preset-passphrase.1*
%{_mandir}/man1/scdaemon.1*
%{_mandir}/man1/symcryptrun.1*

%files -n gnupg-agent-profile_d
%defattr(644,root,root,755)
%attr(755,root,root) /etc/profile.d/gnupg-agent.sh

%files -n gnupg-agent-xinitrc
%defattr(644,root,root,755)
%attr(755,root,root) /etc/X11/xinit/xinitrc.d/gnupg-agent.sh
%changelog
* Mon Jul 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/gnupg2.git;a=log;h=master

* Sat Jul 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 08519af
- up to 2.1.6

* Sun Jun 14 2015 Jakub Bogusz <qboosh@pld-linux.org> dbef75d
- up to 2.1.5
- updated info patch

* Thu May 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 58cc82d
- up to 2.1.4

* Sat Apr 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 9046d08
- up to 2.1.3

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> ed3eea8
- info files are in -common

* Thu Feb 26 2015 Jakub Bogusz <qboosh@pld-linux.org> db8221c
- up to 2.1.2
- removed obsolete am patch

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e5ce235
- updated gettext BR

* Sun Nov 23 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bfc582b
- rel 1.1 - unfortunately 2.1.x is development version

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 79f30f8
- updated dependencies
- keyserver plugins Obsoletes moved to -common
- common C: gnupg < 1.4.18-2 because of gnupg(7) man

* Fri Nov 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e57d60
- up to 2.1.0; dirmngr in dirmngr.spec

* Sat Aug 16 2014 Łukasz Kieś <kiesiu@pld-linux.org> 150f879
- updated to 2.0.26

* Tue Jul 01 2014 Jakub Bogusz <qboosh@pld-linux.org> cbe53a8
- updated to 2.0.25 (regression fix)

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 8b2cf4a
- updated to 2.0.24 (DoS fix)
- updated pl.po-update patch

* Thu Jun 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 4aa7b2d
- updated to 2.0.23
- updated pl.po-update patch

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 179f4b7
- release 2 (by relup.sh)

* Thu Oct 10 2013 Jan Rękorajski <baggins@pld-linux.org> bcc6635
- up to 2.0.22, fixes CVE-2013-4402

* Fri Aug 23 2013 Jakub Bogusz <qboosh@pld-linux.org> e8fafcf
- updated to 2.0.21
- updated pl.po-update patch

* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> eb43eaf
- updated to 2.0.20
- updated pl.po-update patch
- added am patch (fixes build with automake 1.13+)

* Tue Apr 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 6462d2c
- updated to 2.0.19
- updated pl.po-update patch

* Sun Aug 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 6f582fc
- updated to 2.0.18
- added pl.po-update patch

